## jsusfx 0.3.1

=== pd/Makefile ===
#DEBUG_OPT=-g
OBJS=jsusfx_pd.o ../jsusfx.o ../WDL/eel2/nseel-compiler.o ../WDL/eel2/nseel-eval.o ../WDL/eel2/nseel-ram.o ../WDL/eel2/nseel-yylex.o ../WDL/eel2/nseel-cfunc.o  ../WDL/fft.o 
OBJS2=
PD_INCLUDE = $(PD_PATH)/include/pd

ALL_CFLAGS = -I"$(PD_INCLUDE)" -DWDL_FFT_REALSIZE=8 $(DEBUG_OPT)
ALL_LDFLAGS = $(DEBUG_OPT)

UNAME_S := $(shell uname -s)

ifeq ($(UNAME_S),Darwin)
	## OS X
	EXTENSION=pd_darwin
	OS = macosx
	PD_PATH = /Applications/Pd-extended.app/Contents/Resources
	OPT_CFLAGS = -ftree-vectorize -fast
	FAT_FLAGS = -arch i386 -arch x86_64 -mmacosx-version-min=10.5
	ALL_CFLAGS += $(FAT_FLAGS) -fPIC $(OPT_CFLAGS)
	BUNDLE_LOADER = $(shell test ! -e $(PD_PATH)/bin/pd || echo -bundle_loader $(PD_PATH)/bin/pd)
	ALL_LDFLAGS += $(FAT_FLAGS) -headerpad_max_install_names -bundle $(BUNDLE_LOADER) -undefined dynamic_lookup
	SHARED_LDFLAGS += $(FAT_FLAGS) -dynamiclib -undefined dynamic_lookup -compatibility_version 1 -current_version 1.0
	STRIP = strip -x
else
	## Linux
	# USE TO native (non-portable) flag with caution, it requires php, nasm and execstack must be run on pd
	#PORTABLE=true	
	EXTENSION=pd_linux
  	ARCH := $(shell uname -m)
	OS = linux
	PD_PATH = /usr
	OPT_CFLAGS = -funroll-loops -fomit-frame-pointer -O6
	ALL_CFLAGS += -fPIC $(OPT_CFLAGS)
	ALL_LDFLAGS += -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags -rdynamic
	STRIP = strip --strip-unneeded -R .note -R .comment
endif

ifdef PORTABLE
	CFLAGS +=  -DEEL_TARGET_PORTABLE
else
	ifeq ($(UNAME_S),Darwin)
		# by default, we take for granted that OS X builds are FAT (i386 + x86_64)
		OBJS2 += ../WDL/eel2/asm-nseel-x64-macho.o    
	endif
	ifeq ($(UNAME_S),Linux)
		ifeq ($(ARCH),x86_64)
		  OBJS2 += ../WDL/eel2/asm-nseel-x64.o
		endif
	endif
endif

default: jsusfx~.$(EXTENSION)

%.o : %.c
	$(CC) $(ALL_CFLAGS) $(CFLAGS) -c -o $@ $^

%.o : %.cpp
	$(CXX) $(ALL_CFLAGS) $(CXXFLAGS) -c -o $@ $^

jsusfx~.$(EXTENSION): jsusfx_pd.o $(OBJS) $(OBJS2)
	$(CXX) $(ALL_LDFLAGS) $(LDFLAGS) -o "jsusfx~.$(EXTENSION)" $(OBJS) $(OBJS2)

# This is the assembly part that is only required for x64 ; php and nasm are required
../WDL/eel2/asm-nseel-x64-macho.o: 
	cd ../WDL/eel2 && php a2x64.php macho64x

../WDL/eel2/asm-nseel-x64.o: 
	cd ../WDL/eel2 && php a2x64.php elf64

clean:
	rm -f jsusfx~.$(EXTENSION) $(OBJS) $(OBJS2) jsusfx_$(EXTENSION).zip

test: jsusfx~.$(EXTENSION)
	pd jsusfx_test.pd

debug: jsusfx~.$(EXTENSION)
	gdb --args pd -batch jsusfx_test.pd

dist: default
	zip -j jsusfx_$(EXTENSION).zip ../scripts/liteon/*
	zip -j jsusfx_$(EXTENSION).zip ../README.md ../LICENSE jsusfx~.$(EXTENSION) jsusfx_test.pd gain.jsfx

=== test/Makefile ===
CFLAGS=-O -g -fPIC -DWDL_FFT_REALSIZE=8 
LFLAGS=-fPIC 
#PORTABLE=true
CXXFLAGS=-fPIC

OBJS=../jsusfx.o ../WDL/eel2/nseel-compiler.o ../WDL/eel2/nseel-eval.o ../WDL/eel2/nseel-ram.o ../WDL/eel2/nseel-yylex.o ../WDL/eel2/nseel-cfunc.o  ../WDL/fft.o jsusfx_test.o
OBJS2=

UNAME_S := $(shell uname -s)

ifeq ($(UNAME_S),Darwin)
  ifdef ARCH
    CFLAGS += -arch $(ARCH)
  else
    ARCH = i686
    CFLAGS += -arch i686
  endif
else
  ARCH := $(shell uname -m)
endif

default: jsusfx_test

#asm-nseel-x64.o: ../WDL/eel2/a2x64.php ../WDL/eel2/asm-nseel-x86-gcc.c
#	php ../WDL/eel2/a2x64.php elf64

OBJS2 += ../WDL/eel2/asm-nseel-x64.o

jsusfx_shared: 
	cc jsusfx_shared.c -o jsusfx_shared -ldl

jsusfx_test: jsusfx_test.o $(OBJS) $(OBJS2)
	g++ -o $@ $^ $(CXXFLAGS) $(LFLAGS)

jsusfx_test.so: jsusfx_test.o $(OBJS) $(OBJS2)
	g++ -shared -o $@ $^ $(CFLAGS) $(LFLAGS)

test: jsusfx_test
	./jsusfx_test

testso: jsusfx_shared jsusfx_test.so
	gdb ./jsusfx_shared

clean:
	rm -f jsusfx_test jsusfx_test.so jsusfx_shared

=== WDL/eel2/Makefile ===
CC=gcc
CFLAGS=-O -g -DWDL_FFT_REALSIZE=8
LFLAGS=
CXX=g++


OBJS=nseel-caltab.o nseel-compiler.o nseel-eval.o nseel-lextab.o nseel-ram.o nseel-yylex.o nseel-cfunc.o  ../fft.o

OBJS2=

UNAME_S := $(shell uname -s)

ifeq ($(UNAME_S),Darwin)
  ifdef ARCH
    CFLAGS += -arch $(ARCH)
  else
    ARCH = i686
    CFLAGS += -arch i386
  endif
else
  ARCH := $(shell uname -m)
endif

default: loose_eel

nseel-compiler.o: glue*.h ns-eel*.h
nseel-cfunc.o:  asm*.c ns-eel*.h
loose_eel.o: eel*.h ns-eel*.h
nseel-*.o: ns-eel*.h

ifdef MAXLOOP
  CFLAGS += -DNSEEL_LOOPFUNC_SUPPORT_MAXLEN=$(MAXLOOP)
else
  CFLAGS += -DNSEEL_LOOPFUNC_SUPPORT_MAXLEN=0
endif

ifdef NO_GFX
    OBJS += ../lice/lice.o ../lice/lice_image.o ../lice/lice_line.o ../lice/lice_ico.o ../lice/lice_bmp.o ../lice/lice_textnew.o ../lice/lice_text.o ../lice/lice_arc.o
    CFLAGS += -DEEL_LICE_WANT_STANDALONE 

  ifeq ($(UNAME_S),Darwin)
    CFLAGS += -mmacosx-version-min=10.5
    OBJS += ../swell/swell-wnd.o ../swell/swell-gdi.o ../swell/swell.o ../swell/swell-misc.o ../swell/swell-dlg.o ../swell/swell-menu.o ../swell/swell-kb.o
    LFLAGS += -lobjc -framework Cocoa -framework Carbon
  else

    CFLAGS += -DSWELL_LICE_GDI
    ifdef GDK2
      CFLAGS += -DSWELL_TARGET_GDK=2 $(shell pkg-config --cflags gdk-2.0)
      LFLAGS += $(shell pkg-config --libs gdk-2.0)
    else
      CFLAGS += -DSWELL_TARGET_GDK=3 $(shell pkg-config --cflags gdk-3.0)
      LFLAGS += $(shell pkg-config --libs gdk-3.0)
    endif
    ifndef NOFREETYPE
      CFLAGS += -DSWELL_FREETYPE $(shell freetype-config --cflags)
      LFLAGS += $(shell freetype-config --libs)
    endif

    OBJS += ../swell/swell-wnd-generic.o ../swell/swell-gdi-lice.o ../swell/swell.o ../swell/swell-misc-generic.o ../swell/swell-dlg-generic.o ../swell/swell-menu-generic.o ../swell/swell-kb-generic.o

  endif

endif



%.o : %.mm
	$(CXX) $(CXXFLAGS) -c -o $@ $^

asm-nseel-x64.o: a2x64.php asm-nseel-x86-gcc.c
	php a2x64.php elf64

ifdef PORTABLE
  CFLAGS +=  -DEEL_TARGET_PORTABLE
else
  ifeq ($(UNAME_S),Darwin)
    ifeq ($(ARCH),x86_64)
      OBJS2 += asm-nseel-x64-macho.o
    endif
  endif
  ifeq ($(UNAME_S),Linux)
    ifeq ($(ARCH),x86_64)
      OBJS2 += asm-nseel-x64.o
    endif
  endif
endif
CXXFLAGS=$(CFLAGS)

loose_eel: loose_eel.o $(OBJS) $(OBJS2)
	g++ -o $@ $^ $(CXXFLAGS) $(LFLAGS)

clean:
	-rm loose_eel.o $(OBJS)

=== debian/changelog ===
jsusfx (0.3.1-4) unstable; urgency=medium

  * Updated maintainer address
  * Updated Vcs-* stanzas to salsa.d.o
  * Enabled hardening
  * Added d/copyright_hints
  * Bumped dh compat to 11
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 22:59:21 +0100

jsusfx (0.3.1-3) unstable; urgency=medium

  * Drop B-D on php7.0-cli (replaced by php-cli) (Closes: #861362)
  * Bumped standards to 4.0.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 02 Jul 2017 20:54:58 +0200

jsusfx (0.3.1-2) unstable; urgency=medium

  * Use PORTABLE builds on non-amd64 (Closes: #844028)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 12 Nov 2016 11:01:45 +0100

jsusfx (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #842813)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Nov 2016 10:03:05 +0100

=== debian/control ===
Source: jsusfx
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 puredata-dev,
 php-cli [amd64],
 nasm [amd64],
Standards-Version: 4.1.3
Homepage: https://github.com/asb2m10/jsusfx
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/jsusfx.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/jsusfx

Package: pd-jsusfx
Architecture: any
Depends:
 puredata-core,
 ${shlibs:Depends},
 ${misc:Depends},
Description: Jesusonic FX scripting language for audio DSP (Pure Data)
 jsusfx is an Open Source implementation of the JSFX scripting language that was
 created by Cockos and is made available with Reaper (a commercial multitrack
 editor and recorder).
 .
 This package provides the Pd support for jsusfx.

=== debian/rules ===
#!/usr/bin/make -f

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^\./\.git/.*|\./debian/|.*\.xcuserstate$

%:
	dh $@

override_dh_auto_build:
ifneq (,$(findstring amd64,$(DEB_BUILD_ARCH)))
	make -C pd
else
	make -C pd PORTABLE=true
endif
	cp pd/jsusfx_test.pd jsusfx~-help.pd
	debian/liteon.sh
	dh_auto_build

override_dh_auto_clean:
	make -C pd clean
	-rm  -f jsusfx~-help.pd
	-rm -rf liteon
	-rm WDL/eel2/*.asm
	dh_auto_clean

licensecheck:
	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# process this file with uscan(1)
version=3
opts=dversionmangle=s/~dfsg(\.[0-9]*)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/jsusfx-$1\.tar\.gz/ \
  https://github.com/asb2m10/jsusfx/tags .*/v?(\d\S*)\.tar\.gz

## jsusfx 0.4.0

=== pd/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.7)
project (jsusfx_pd)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_SUPPRESS_REGENERATION true)
set(CMAKE_MACOSX_RPATH Off)
#set(CMAKE_OSX_DEPLOYMENT_TARGET 10.7)
set(CMAKE_OSX_ARCHITECTURES "i386;x86_64")

add_subdirectory(${PROJECT_SOURCE_DIR}/../src ${PROJECT_SOURCE_DIR}/../src)
include(pd.build/pd.cmake)
include_directories(${PROJECT_SOURCE_DIR}/../src)

if (WIN32)
	set_pd_sources(C:/Apps/pd/src)
else()
	set_pd_sources(/Applications/Pd.app/Contents/Resources/src/)
endif()

set_pd_external_path(${PROJECT_SOURCE_DIR})

add_pd_external(jsusfx_pd_project jsusfx~ jsusfx_pd.cpp)

target_link_libraries(jsusfx_pd_project jsusfx)

# === Installation stuff ===
set(DIST ${PROJECT_SOURCE_DIR}/dist)

file(GLOB JSSCRIPT "${PROJECT_SOURCE_DIR}/../scripts/liteon/*.jsfx")

foreach(script ${JSSCRIPT})
	install(FILES ${script} DESTINATION ${DIST}/externals)
	install(CODE "execute_process(COMMAND python ${PROJECT_SOURCE_DIR}/jsfx2abstract.py ${script} WORKING_DIRECTORY ${DIST}/externals)" )
endforeach()

install(TARGETS jsusfx_pd_project DESTINATION ${DIST}/externals)
file(GLOB PDHELP "${PROJECT_SOURCE_DIR}/*-help.pd")
install(FILES ${PDHELP} DESTINATION ${DIST}/externals)

if (UNIX AND APPLE)
	install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ./jsusfx~.pd_darwin ${DIST}/externals/jsusfx~.pd_darwin)")
else()
	install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ./jsusfx~.pd_linux ${DIST}/externals/jsusfx~.pd_linux)")
endif()

install(FILES ${PROJECT_SOURCE_DIR}/jsfx2abstract.py DESTINATION ${DIST})
install(FILES ${PROJECT_SOURCE_DIR}/README.md DESTINATION ${DIST})

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(jsusfx)

# -- JSUSFX library --
set(sources
	jsusfx.cpp
	jsusfx_file.cpp
	jsusfx_gfx.cpp
	jsusfx_serialize.cpp
	riff.cpp
	WDL/eel2/nseel-compiler.c
	WDL/eel2/nseel-eval.c
	WDL/eel2/nseel-ram.c
	WDL/eel2/nseel-yylex.c
	WDL/eel2/nseel-cfunc.c
	WDL/fft.c)

file(GLOB_RECURSE headers *.h)

source_group("sources" FILES ${sources})
source_group("headers" FILES ${headers})

if (UNIX AND NOT APPLE)
	if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "arm") 
		add_definitions(-mfpu=vfp -march=armv6t2 -marm)
		add_library(jsusfx ${sources} ${headers})
	else() 
		# Linux x64
		if (CMAKE_SIZEOF_VOID_P EQUAL 8)
			add_custom_command(
				OUTPUT ${PROJECT_SOURCE_DIR}/WDL/eel2/asm-nseel-x64.o
				COMMAND php a2x64.php elf64
				WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/WDL/eel2
			)
			add_library(jsusfx ${sources} ${headers} ${PROJECT_SOURCE_DIR}/WDL/eel2/asm-nseel-x64.o)
		else()
			# Linux i686
			add_library(jsusfx ${sources} ${headers})
		endif()
	endif()
else()
	if (WIN32)
		add_library(jsusfx ${sources} ${headers})
	else()
		# MacOS, 64-bit always
		add_custom_command(
			OUTPUT ${PROJECT_SOURCE_DIR}/WDL/eel2/asm-nseel-x64-macho.o
			COMMAND php a2x64.php macho64x
			DEPENDS ${PROJECT_SOURCE_DIR}/WDL/eel2/asm-nseel-x86-gcc.c
			WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/WDL/eel2
		)
		add_library(jsusfx ${sources} ${headers} ${PROJECT_SOURCE_DIR}/WDL/eel2/asm-nseel-x64-macho.o)
	endif()
endif()

target_compile_definitions(jsusfx PUBLIC WDL_FFT_REALSIZE=8)
target_include_directories(jsusfx PUBLIC "${PROJECT_SOURCE_DIR}")

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.7)
project (jsusfx_test)

add_subdirectory(../src ../src)
set(SOURCE jsusfx_test.cpp)

add_executable(jsusfx_test jsusfx_test.cpp)
target_link_libraries(jsusfx_test jsusfx)

=== src/WDL/eel2/Makefile ===
CC=gcc
CFLAGS=-g -DWDL_FFT_REALSIZE=8  -Wall -Wno-unused-function -Wno-multichar -Wno-unused-result -Wshadow
LFLAGS=
CXX=g++

ifdef DEBUG
CFLAGS += -D_DEBUG -O0
else
CFLAGS += -DNDEBUG -O
endif

OBJS=nseel-caltab.o nseel-compiler.o nseel-eval.o nseel-lextab.o nseel-ram.o nseel-yylex.o nseel-cfunc.o fft.o

OBJS2=

UNAME_S := $(shell uname -s)

ifeq ($(UNAME_S),Darwin)
  ifdef ARCH
    CFLAGS += -arch $(ARCH)
  else
    ARCH = i686
    CFLAGS += -arch i386
  endif
else
  ARCH := $(shell uname -m)
endif

ifneq ($(filter arm%,$(ARCH)),)
  CFLAGS += -fsigned-char -mfpu=vfp -march=armv6t2 -marm
endif

ifndef ALLOW_WARNINGS
  ifneq ($(UNAME_S),Darwin)
    CFLAGS += -Werror
  endif
endif
ifndef DEPRECATED_WARNINGS
  CFLAGS +=  -Wno-deprecated-declarations
endif


default: loose_eel

nseel-compiler.o: glue*.h ns-eel*.h
nseel-cfunc.o:  asm*.c ns-eel*.h
loose_eel.o: eel*.h ns-eel*.h
nseel-*.o: ns-eel*.h

vpath %.cpp ../lice ../swell
vpath %.mm ../swell
vpath %.c ../

ifdef MAXLOOP
  CFLAGS += -DNSEEL_LOOPFUNC_SUPPORT_MAXLEN=$(MAXLOOP)
else
  CFLAGS += -DNSEEL_LOOPFUNC_SUPPORT_MAXLEN=0
endif

ifndef NO_GFX
    OBJS += lice.o lice_image.o lice_line.o lice_ico.o lice_bmp.o lice_textnew.o lice_text.o lice_arc.o
    CFLAGS += -DEEL_LICE_WANT_STANDALONE 

  ifeq ($(UNAME_S),Darwin)
    CFLAGS += -mmacosx-version-min=10.5
    OBJS += swell-wnd.o swell-gdi.o swell.o swell-misc.o swell-dlg.o swell-menu.o swell-kb.o
    LFLAGS += -lobjc -framework Cocoa -framework Carbon
  else

    CFLAGS += -DSWELL_LICE_GDI
    ifdef GDK2
      CFLAGS += -DSWELL_TARGET_GDK=2 $(shell pkg-config --cflags gdk-2.0)
      LFLAGS += $(shell pkg-config --libs gdk-2.0) -lX11 -lXi
    else
      CFLAGS += -DSWELL_TARGET_GDK=3 $(shell pkg-config --cflags gdk-3.0)
      LFLAGS += $(shell pkg-config --libs gdk-3.0) -lX11 -lXi
    endif
    ifndef NOFREETYPE
      CFLAGS += -DSWELL_FREETYPE $(shell freetype-config --cflags)
      LFLAGS += $(shell freetype-config --libs)
    endif

    OBJS += swell-wnd-generic.o swell-gdi-lice.o swell.o swell-misc-generic.o \
            swell-dlg-generic.o swell-menu-generic.o swell-kb-generic.o \
            swell-gdi-generic.o swell-ini.o swell-generic-gdk.o

    LFLAGS += -ldl
  endif

endif


asm-nseel-x64.o: a2x64.php asm-nseel-x86-gcc.c
	php a2x64.php elf64

ifdef PORTABLE
  CFLAGS +=  -DEEL_TARGET_PORTABLE
else
  ifeq ($(UNAME_S),Darwin)
    ifeq ($(ARCH),x86_64)
      OBJS2 += asm-nseel-x64-macho.o
    endif
  endif
  ifeq ($(UNAME_S),Linux)
    ifeq ($(ARCH),x86_64)
      OBJS2 += asm-nseel-x64.o
    endif
  endif
endif
CXXFLAGS=$(CFLAGS)


%.o : %.mm
	$(CXX) $(CXXFLAGS) -c -o $@ $^

loose_eel: loose_eel.o $(OBJS) $(OBJS2)
	g++ -o $@ $^ $(CXXFLAGS) $(LFLAGS)

clean:
	-rm loose_eel loose_eel.o $(OBJS)

=== debian/changelog ===
jsusfx (0.4.0-7) unstable; urgency=medium

  * Force CMake policy to 3.10 (Closes: #1125539)
  * Use d/clean for cleaning up after build
  * prefer execute_(before|after)_dh_ over override_dh_
  * Better symlink pd.cmake
  * Update git repository layout to follow DEP-14
  * Drop obsolete 'Priority: optional' stanza.
  * Drop obsolete Rules-Requires-Root stanza.
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Feb 2026 16:10:55 +0100

jsusfx (0.4.0-6) unstable; urgency=medium

  * Fix FTBFS due to implicit function declaration
    (Closes: #1081868)
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 24 Sep 2024 22:29:59 +0200

jsusfx (0.4.0-5) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 10:46:05 +0100

jsusfx (0.4.0-4) unstable; urgency=medium

  * Add patch to allow compilation with Pd>=0.52
  * Apply "warp-and-sort -ast"
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Dec 2021 10:29:45 +0100

jsusfx (0.4.0-3) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Fix FTCBFS: Fix build vs host confusion.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #980198)
  * Add salsa-ci configuration
  * Bump dh-compat to 13
  * Bump standards version to 4.5.1

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 02 Feb 2021 22:07:16 +0100

jsusfx (0.4.0-2) unstable; urgency=medium

  * Build portable binaries on non-amd64
    * Patch for portable builds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 16:54:46 +0100

jsusfx (0.4.0-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * New upstream version 0.4.0
    * Remove patches applied upstream
  * Backport patch to remove duplicate 'midi' method
  * Switch to CMake build-system with "pd.build-cmake-module"
    * Simplify d/rules after upstream's switch to cmake
    * Fix clean and configure targets for new CMake based builds
  * Override broken upstream 'install' target
  * Pd-help patches now in pd/
  * Fix path to examples
  * Fix permsissions for .pd_linux files
  * Declare that "root" is not required to build this package
  * Fix version mangling to catch pre-releases
  * Update d/copyright
    * Update licensecheck ignore-regex
    * Regenerate d/copyright_hints
  * Bump dh-compat to 12

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.1
  * d/changelog: Remove trailing whitespaces

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 14:05:35 +0100

=== debian/control ===
Source: jsusfx
Section: sound
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 nasm [amd64],
 pd.build-cmake-module,
 php-cli [amd64],
Standards-Version: 4.7.3
Homepage: https://github.com/asb2m10/jsusfx
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/jsusfx.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/jsusfx

Package: pd-jsusfx
Architecture: any
Depends:
 puredata-core,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Jesusonic FX scripting language for audio DSP (Pure Data)
 jsusfx is an Open Source implementation of the JSFX scripting language that was
 created by Cockos and is made available with Reaper (a commercial multitrack
 editor and recorder).
 .
 This package provides the Pd support for jsusfx.

=== debian/rules ===
#!/usr/bin/make -f

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifeq (,$(findstring amd64,$(DEB_HOST_ARCH)))
	PORTABLE=ON
else
	PORTABLE=OFF
endif

%:
	dh $@ --sourcedirectory=pd

execute_before_dh_auto_configure:
	ln -s /usr/share/cmake/pd.build/pd.cmake pd/pd.build/
override_dh_auto_configure:
	dh_auto_configure -- \
		-DPORTABLE=$(PORTABLE) \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.10 \
		$(empty)
override_dh_auto_install:
	# broken..., just use d/*.install instead
execute_after_dh_fixperms:
	find debian/*/usr/ -name '*.pd_linux' -exec \
		chmod 0644 {} +


DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian(/.*)?|.*\.xcuserstate
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints
